<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/

##заголовок
$title = 'Друзья';

require_once ('../system/function.php');
require_once ('../system/header.php');

# закрываем от гостей
if(!$user['id']) exit(header('Location: '.$HOME));


$act = isset($_GET['act']) ? strong($_GET['act']) : "";
$id = isset($_GET['id']) ? abs(intval($_GET['id'])) : "";
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

switch($act)
{
default:

if($ank == 0) {
header('Location: '.$HOME.'/friends'.$user['id']); exit;
}

if($id == $user['id']) echo '<div class="title">Мои друзья</div>'; 
else echo '<div class="title"><a href="'.$HOME.'/us'.$id.'">Анкета '.$ank['login'].'</a> | Друзья</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `us_a` = '".$user['id']."' AND `status` = '1'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$q = mysql_query("SELECT * FROM `friends` WHERE `us_a` = '".$id."' AND `status` = '1' ORDER BY `time` DESC LIMIT $start,$max");

while($a = mysql_fetch_assoc($q)){
echo '<div class="podmenu">'.nick($a['us_b']).' <br/>';

if($id == $user['id']) echo '<a href="'.$HOME.'/mes/newmes'.$a['us_b'].'">Написать</a> | <a href="'.$HOME.'/friends/delete'.$a['us_b'].'">Удалить</a>';
if($a['us_b'] != $user['id'] && $id != $user['id']) echo '<a href="'.$HOME.'/mes/newmes'.$a['us_b'].'">Написать</a> | <a href="'.$HOME.'/friends/add'.$a['us_b'].'">Добавить</a>';

echo '</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Друзей пока нет!</b></center></div>';
}

if ($k_page > 1) {
echo str($HOME.'/friends'.$id, $k_page,$page); // Вывод страниц
}

break;

##Добавляем друга
case 'add':

if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}

if ($user['id'] == $ank['id']) {
echo err($title, 'Вы не можете добавить в друзья самого себе!');
require_once ('../system/footer.php'); exit;  
}

$tim = mysql_query("SELECT * FROM `friends` WHERE `us_b`='".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam`"));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['friends'])
{
echo err($title, 'Добавлять друзей можно не чаще чем раз в '.$news_antispam['friends'].' секунд!');
require_once ('../system/footer.php'); exit; 
}
}

$bid = mysql_fetch_assoc(mysql_query("SELECT * FROM `friends` WHERE `us_a` = '".$id."' AND `status` = '0'"));

if($bid != 0) {
echo err($title, 'Заявка отправлена. Ожидайте!');
echo '<div class="links"><a href="'.$HOME.'/us'.$id.'">Перейти в анкету</a></div>';
require_once ('../system/footer.php'); exit;
}

$s = mysql_fetch_assoc(mysql_query("SELECT * FROM `friends` WHERE `us_a` = '".$id."' AND `us_b` = '".$user['id']."'"));

if($s['status'] == 1) {
echo err($title, 'Пользователь уже находится у Вас в друзьях!');
require_once ('../system/footer.php'); exit;
}
echo '<div class="title"><a href="'.$HOME.'/us'.$id.'">Анкета '.$ank['login'].'</a> | <a href="'.$HOME.'/friends'.$id.'"> Друзья</a> | Добавить</div>';

if (isset($_GET['da'])){
##Оповещаем юзера
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'хочет добавить Вас в [url=".$HOME."/friends/bid]друзья[/url]'");

mysql_query("INSERT INTO `friends` SET `us_a` = '".$id."', `us_b` = '".$user['id']."', `status` = '0', `time` = '".time()."'");

echo '<div class="podmenu"><center><b>Заявка отправлена!</b></center></div>';
echo '<div class="links"><a href="'.$HOME.'/us'.$id.'">Перейти в анкету</a></div>';
require_once ('../system/footer.php'); exit;
}

echo '<div class="podmenu">Вы действительно хотите добавить в друзья '.$ank['login'].' ? <br /><br /><a href="'.$HOME.'/friends/add'.$id.'?da"><b>Да</b></a> | <a href="'.htmlspecialchars(getenv("HTTP_REFERER")).'">Отмена</a></div>';

break;

##Список заявок
case 'bid':

echo '<div class="title"><a href="'.$HOME.'/friends'.$user['id'].'">Мои друзья</a> | Заявки</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `us_a` = '".$user['id']."' AND `status` = '0'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$q = mysql_query("SELECT * FROM `friends` WHERE `us_a` = '".$user['id']."' AND `status` = '0' ORDER BY `time` DESC LIMIT $start,$max");
while($as = mysql_fetch_assoc($q)){
echo '<div class="podmenu">'.nick($as['us_b']).' '.vremja($as['time']).'<br/>';
echo '<br/><a href="'.$HOME.'/friends/da'.$as['us_b'].'/'.$as['id'].'"><b>Добавить в друзья</b></a></div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Заявок нет!</b></center></div>';
}

if ($k_page > 1) {
echo str($HOME.'/friends/bid',$k_page,$page); // Вывод страниц
}

break;

##Принимаем заявку
case 'da':

$fid = abs(intval($_GET['fid']));
$bid = mysql_fetch_assoc(mysql_query("SELECT * FROM `friends` WHERE `id` = '".$fid."' AND `status` = '0'"));

if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}

if($bid == 0) {
echo err($title, 'Такой заявки не существует!');
require_once ('../system/footer.php'); exit;
}

mysql_query("INSERT INTO `friends` SET `us_a` = '".$ank['id']."', `us_b` = '".$user['id']."', `status` = '1', `time` = '".time()."'");
mysql_query("UPDATE `friends` SET `status` = '1' WHERE `id` = '".$fid."'");
##Оповещаем юзера
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'добавил Вас в [url=".$HOME."/friends/]друзья[/url]'");

header('Location: /friends/bid'); exit;

break;

##Удаляем друга
case 'delete':

if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}

$q = mysql_fetch_assoc(mysql_query("SELECT * FROM `friends` WHERE `us_a` = '".$id."' AND `us_b` = '".$user['id']."' AND `status` = '1'"));

if($q == 0) {
echo err($title, 'У Вас в друзьях нет такого пользователя!');
require_once ('../system/footer.php'); exit;
}

mysql_query("DELETE FROM `friends` WHERE `us_a` = '".$id."' AND `us_b` = '".$user['id']."'");

mysql_query("DELETE FROM `friends` WHERE `us_b` = '".$id."' AND `us_a` = '".$user['id']."'");

header('Location: '.$HOME.'/friends'.$user['id']); exit;


break;

}
require_once ('../system/footer.php');
?>